<?php
function expert_business_consultant_social_media_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	/*=========================================
	Social Media
	=========================================*/
	$wp_customize->add_section(
        'expert_business_consultant_social_media_header',
        array(
        	'priority'      => 3,
            'title' 		=> __('Social Media','expert-business-consultant'),
			'panel'  		=> 'expert_business_consultant_frontpage_sections',
		)
    );

   	$wp_customize->add_setting(
    	'expert_business_consultant_social_media_facebook',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'expert_business_consultant_social_media_facebook',
		array(
		    'label'   		=> __('Facebook URL','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_business_consultant_social_media_twitter',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'expert_business_consultant_social_media_twitter',
		array(
		    'label'   		=> __('Twitter URL','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);	

	$wp_customize->add_setting(
    	'expert_business_consultant_social_media_instagram',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'expert_business_consultant_social_media_instagram',
		array(
		    'label'   		=> __('Instagram URL','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_business_consultant_social_media_pinterest',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'expert_business_consultant_social_media_pinterest',
		array(
		    'label'   		=> __('Pinterest URL','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting( 'expert_business_consultant_upgrade_page_settings_11',
	        array(
	            'sanitize_callback' => 'sanitize_text_field'
	        )
	    );
    $wp_customize->add_control( new Expert_Business_Consultant_Control_Upgrade(
        $wp_customize, 'expert_business_consultant_upgrade_page_settings_11',
            array(
                'priority'      => 200,
                'section'       => 'expert_business_consultant_social_media_header',
                'settings'      => 'expert_business_consultant_upgrade_page_settings_11',
                'label'         => __( 'Business Consultant Pro comes with additional features.', 'expert-business-consultant' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'expert-business-consultant' ), __( 'One-Click Demo Import', 'expert-business-consultant' ), __( 'WooCommerce Integrated', 'expert-business-consultant' ), __( 'Drag & Drop Section Reordering', 'expert-business-consultant' ),__( 'Advanced Typography Control', 'expert-business-consultant' ),__( 'Intuitive Customization Options', 'expert-business-consultant' ),__( '24/7 Support', 'expert-business-consultant' ), )
            )
        )
    );

}
add_action( 'customize_register', 'expert_business_consultant_social_media_header_settings' );